<?php
/**
 * ReviewStatusEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\ReviewsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Reviews
 *
 * Reviews Service
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\ReviewsClient\Dto;
use \Ensi\ReviewsClient\ObjectSerializer;

/**
 * ReviewStatusEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные статусы публикации отзыва:   * &#x60;1&#x60; - новый   * &#x60;2&#x60; - опубликован   * &#x60;3&#x60; - отклонен
 * @package  Ensi\ReviewsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ReviewStatusEnum
{
    
    /** Новый */
    public const NEW = 1;
    
    /** Опубликован */
    public const PUBLISHED = 2;
    
    /** Отклонен */
    public const DENIED = 3;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::NEW,
            self::PUBLISHED,
            self::DENIED,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::NEW => 'Новый',
            self::PUBLISHED => 'Опубликован',
            self::DENIED => 'Отклонен',
        ];
    }
}


